## libreoffice 4.4.6~rc3

=== debian/changelog ===
libreoffice (1:4.4.6~rc3-0ubuntu1) vivid-security; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Wed, 28 Oct 2015 03:10:01 +0100

libreoffice (1:4.4.6~rc2-0ubuntu1) vivid; urgency=medium

  * new upstream rc
  * remove obsolete patches

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 16 Oct 2015 12:06:28 +0100

libreoffice (1:4.4.5~rc2-0ubuntu2) vivid; urgency=medium

  * add ww8 pstatus import fix

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 18 Sep 2015 08:30:48 +0200

libreoffice (1:4.4.5~rc2-0ubuntu1) vivid; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 24 Jul 2015 16:55:34 +0200

libreoffice (1:4.4.4~rc3-0ubuntu1) vivid; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 23 Jun 2015 22:39:04 +0200

libreoffice (1:4.4.4~rc2-0ubuntu2) vivid; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 15 Jun 2015 08:47:37 +0200

libreoffice (1:4.4.3-0ubuntu1) vivid; urgency=medium

  * new upstream release
  * Fix mailmerge without libreoffice-base scenario
  * add upstream hack to prevent crash on exit (LP: #1418551)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 28 May 2015 19:47:04 +0200
