=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: ant (>= 1.7.0),
               ant-optional (>= 1.7.0),
               autoconf,
               automake,
               bc,
               binutils (>= 2.23) [mips mipsel],
               bison,
               bzip2,
               cpp-4.9,
               debhelper (>= 7.2.3~),
               default-jdk,
               default-jdk (>= 1:1.7-48) [ia64],
               dpkg-dev (>= 1.16.1),
               fastjar,
               flex (>= 2.3.35),
               fontconfig,
               fonts-liberation,
               g++- [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               gcc- [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               gcj-jdk [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               gcj-native-helper [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               gdb,
               gettext,
               gperf,
               java-common (>= 0.49),
               javahelper (>= 0.37~),
               junit4 (>= 4.8.2-2),
               kdelibs5-dev (>= 4:4.3.4),
               libabw-dev (>= 0.1),
               libarchive-zip-perl,
               libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386],
               libboost-date-time-dev (>= 1.55),
               libboost-dev (>= 1.55),
               libboost-iostreams-dev (>= 1.55),
               libboost-program-options-dev (>= 1.55),
               libboost-system-dev (>= 1.55),
               libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],
               libc6 (>= 2.17-6) [mips mipsel],
               libcairo2-dev,
               libcdr-dev (>= 0.1),
               libclucene-dev (>= 2.3.3.4-2),
               libcmis-dev (>= 0.5.0),
               libcppunit-dev (>= 1.12),
               libcups2-dev,
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev (>= 0.70),
               libe-book-dev (>= 0.1.1),
               libeot-dev,
               libexpat1-dev,
               libexttextcat-dev (>= 3.1.1),
               libfontconfig1-dev,
               libfreehand-dev (>= 0.1),
               libfreetype6-dev (>= 2.2.0),
               libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
               libgconf2-dev,
               libgl1-mesa-dev,
               libglew-dev,
               libglib2.0-dev (>= 2.15.0),
               libglm-dev,
               libglu1-mesa-dev,
               libgraphite2-dev (>= 0.9.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.2~),
               libgtk2.0-dev (>= 2.10),
               libharfbuzz-dev (>= 0.9.18),
               libhsqldb1.8.0-java (>> 1.8.0.10),
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               liblangtag-dev (>= 0.4),
               liblcms2-dev,
               libldap2-dev,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmdds-dev (>= 0.10.3),
               libmspub-dev (>= 0.1),
               libmwaw-dev (>= 0.3.4),
               libmysqlclient-dev,
               libmysqlcppconn-dev (>= 1.1.0~r791),
               libmythes-dev (>= 2:1.2),
               libneon27-gnutls-dev,
               libnss3-dev (>= 3.12.3),
               libodfgen-dev (>= 0.1),
               libpng12-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.8.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqt4-dev (>= 4:4.8),
               librdf0-dev (>= 1.0.16-2),
               librevenge-dev,
               libsane-dev,
               libsm-dev,
               libssl-dev (>= 0.9.8),
               libsuitesparse-dev (>= 1:3.4.0),
               libvigraimpex-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.3),
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev,
               libxml2-utils,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               lp-solve (>= 5.5.0.13-5+b1),
               make (>= 3.81-8.2),
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev (>= 3.3),
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Indep: doxygen (>= 1.8.4),
                     fdupes,
                     fontforge,
                     imagemagick,
                     libbsh-java,
                     libcommons-codec-java,
                     libcommons-httpclient-java,
                     libcommons-lang-java,
                     libcommons-logging-java (>= 1.1.1-9),
                     xml-core
Build-Conflicts: amd-libopencl1,
                 ant (= 1.8.0-1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
                 ant (= 1.8.0-2) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
                 ant (= 1.8.0-3) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
                 flex (= 2.5.34-1) [amd64],
                 g++-4.6 (= 4.6.1-10),
                 g++-4.6 (= 4.6.1-11),
                 g++-4.7 (<< 4.7.1-3),
                 gcj-4.2 (= 4.2.2-6),
                 gjdoc (= 0.7.8-2),
                 graphicsmagick-imagemagick-compat (<< 1.3.9~),
                 libboost1.39-dev (<< 1.39.0-2),
                 libc0.1-dev (= 2.13-26) [kfreebsd-i386 kfreebsd-amd64],
                 libc6-dev (= 2.6.1-3) [i386 amd64],
                 libc6-dev (= 2.6.1-4) [i386 amd64],
                 libcairo2 (= 1.4.8-1),
                 libmariadbclient-dev,
                 libxul-dev (= 1.8.0.13~pre070720-0etch1),
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1,
                 qt3-dev-tools
Standards-Version: 3.9.4
XS-Python3-Version: 3.4
XS-Testsuite: autopkgtest
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git -b debian-experimental-4.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
Bugs: 
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
Section: metapackages
Depends: fonts-sil-gentium-basic,
         libreoffice-base,
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc],
         libreoffice-writer,
         ${avmedia-be-depends},
         ${dejavu-depends},
         ${java-common-depends},
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-liberation | ttf-mscorefonts-installer,
            libpaper-utils,
            libreoffice-gnome | libreoffice-kde
Suggests: cups-bsd,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-grammarcheck,
          libreoffice-help-${help-l10n-virtual-version},
          libreoffice-l10n-${help-l10n-virtual-version},
          libsane,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${ooo-officebean-dep}
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk: Gtk UI Plugin, GNOME File Picker support,
    QuickStarter for GNOMEs notification are
  * libreoffice-gnome: GIO, GConf backend
  * libreoffice-kde: KDE UI Plugin and KDE File Picker support
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
  * iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser:
    Mozilla profile with Certificates needed for XML Security...
  * openjdk-6-jre | gcj-jre | java5-runtime:
    Java Runtime Environment for use with LibreOffice
  * pstoedit / imagemagick: helper tools for EPS thumbnails
  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
    media backend
  * libpaper-utils: papersize detection support via paperconf
  * bluez: Bluetooth support for Impress (slideshow remote control)

Package: libreoffice-l10n-za
Section: metapackages
Architecture: all
Depends: libreoffice-l10n-af,
         libreoffice-l10n-en-za,
         libreoffice-l10n-nr,
         libreoffice-l10n-nso,
         libreoffice-l10n-ss,
         libreoffice-l10n-st,
         libreoffice-l10n-tn,
         libreoffice-l10n-ts,
         libreoffice-l10n-ve,
         libreoffice-l10n-xh,
         libreoffice-l10n-zu,
         ${misc:Depends}
Description: office productivity suite -- South African language packages
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package is a metapackage installing l10n packages for all 11 South
 African languages.

Package: libreoffice-l10n-in
Section: metapackages
Architecture: all
Depends: libreoffice-l10n-as,
         libreoffice-l10n-bn,
         libreoffice-l10n-gu,
         libreoffice-l10n-hi,
         libreoffice-l10n-ml,
         libreoffice-l10n-mr,
         libreoffice-l10n-or,
         libreoffice-l10n-pa-in,
         libreoffice-l10n-ta,
         libreoffice-l10n-te,
         ${misc:Depends}
Recommends: ttf-indic-fonts
Description: office productivity suite -- Indic language packages
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package is a metapackage installing l10n packages for all available
 indic languages.

Package: libreoffice-core
Architecture: alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
Depends: fontconfig,
         fonts-opensymbol,
         libreoffice-common (>> ${base-version}),
         ure (>= 4.2~),
         ${lpsolve-dep},
         ${misc:Depends},
         ${shlibs:Depends}
