## libreoffice 5.0.2

=== debian/changelog ===
libreoffice (1:5.0.2-0ubuntu1) wily; urgency=medium

  * new upstream release
  * removed upstreamed patches
  * cherry-picks from Debian:
    - update shlibs.override
    - bump gtk+ requirements
    - move liblibreofficekitgtk.so to -gtk

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 01 Oct 2015 00:49:31 +0200

libreoffice (1:5.0.1-0ubuntu2) wily; urgency=medium

  * Build for arm64 and ppc64el.
  * Build using system libraries for libcppunit, libetonyek, liborcus,
    libpagemaker, libwps and libcmis.  The internal copies are not updated
    for at least ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2015 17:22:56 +0200

libreoffice (1:5.0.1-0ubuntu1) wily; urgency=medium

  * new final upstream release
  * changes vs. vivid:
    - use cpp-5 (thanks Rico)
    - use internal libwps, opencollada, collada2gltf, libcmis, cppunit

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 31 Aug 2015 20:32:35 +0200

libreoffice (1:5.0.0-0ubuntu1~wily1) wily; urgency=medium

  * LibreOffice 5.0.0 final release (identical to rc5)
  * merge from Debian:
    - debian/patches/disable-tiledrendering-test.diff: temporarily disable test
    - rulees: bump build-depends on libgltf, *collada*, cppunit, liborcus, libcmis to
      build-depend on their gcc 5 rebuilds. Bump boost build-dep to >= 1.58
      (closes: #794717)
    - rules:fix SYSTEM_GCC_CHECK for gcc 5; remove obsolete >= 4.7 check for Qt to get
      correct build-dep
    - temporarily disable -evolution until libebook1.2-dev is installable again
    - debian/control.in: suggest breeze-icon-theme in -style-breeze (like the
      other ones do for oxygen/tango)
  * reduce diff to Debian: use Enhances in styles consistently
  * depend from leaf themes like -style-sifr on -style-galaxy for now

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 07 Aug 2015 13:36:02 +0200

libreoffice (1:5.0.1~rc1-3) UNRELEASED; urgency=medium

  * debian/patches/gtk3-rtl.diff: backport GTk3 RTL fixes (arrows, checkboxes)
    from libreoffice-5-0

  * debian/rules:
    - bump libmysqlcppconn-dev and libclucene-dev build-deps to their
      gcc 5 versions
    - add explicit dh-python build-dependency
    - temporarily disable -kde (KDE uninstallable in sid right now
      anyway) and coinmp

  * merge from Ubuntu:
    - autopkgtest updates/fixes

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Aug 2015 15:23:58 +0200

libreoffice (1:5.0.1~rc1-2) unstable; urgency=medium

  * debian/patches/series: (re-)enable disable-tiledrendering-test.diff;
    still fails...

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Aug 2015 16:40:13 +0200

libreoffice (1:5.0.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate

  * upload to unstable

  * debian/rules:
    - bump build-depends on libgltf, *collada*, cppunit, liborcus, libcmis to
      build-depend on their gcc 5 rebuilds. Bump boost build-dep to >= 1.58
      (closes: #794717)
    - rules:fix SYSTEM_GCC_CHECK for gcc 5; remove obsolete >= 4.7 check for Qt to get
      correct build-dep
    - temporarily disable -evolution until libebook1.2-dev is installable again
    - debian/control.in: suggest breeze-icon-theme in -style-breeze (like the
      other ones do for oxygen/tango)
  * debian/control.in: suggest breeze-icon-theme in -style-breeze (like the
    other ones do for oxygen/tango)

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Aug 2015 16:06:34 +0200

libreoffice (1:5.0.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - ENABLE_MERGELIBS=n on kfreebsd-* for now ("Argument list too long")
    - ENABLE_COLLADA=y (for i386/amd64) now that the libs finally are in
      Debian
    - KDE_ICONSET_DEP=libreoffice-style-breeze (closes: #794318)
  * debian/control.in:
     - update -l10n conflicts in -common, remove 3.5/3.6, add 4.3/4.4
       (closes: #794024)

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Aug 2015 14:00:45 +0200

libreoffice (1:5.0.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
   - ENABLE_MERGELIBS=y as it's now upstream default

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Jul 2015 11:59:25 +0200

libreoffice (1:5.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - re-enable CVE tests on all platforms again now that the infinite loop with
      unsigned char-default is supposedly fixed

 -- Rene Engelhard <rene@debian.org>  Sun, 12 Jul 2015 13:04:30 +0200

libreoffice (1:5.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/control.in:
    - s/cliipart/clipart/ (closes: #787660 again)
  * debian/rules:
    - move libunoidllo.so from ure into uno-libs3, too, as
      libcppuhelpergcc3.so.3 is (now) linked to it

  * debian/rules:
    - move gnome-open-url (back) to -gnome

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Jun 2015 20:18:19 +0200

libreoffice (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes "Can't use a hash as a reference" deprecation warning/error in
      lo-xlate-lang (closes: #788613)

  * debian/patches/liborcus.diff: backport build fixes for using liborcus
    0.9.1 from master

  * debian/rules:
    - readd lost move of sal.py/cppu.py and libuno*.so.3-gdb.py
      into uno-libs3-dbg (closes: #788848)
    - build-depend on liborcus >= 0.9.0

  * debian/control.in:
    - make -gnome depend on -gtk3 now that it's enabled upstream if desktop
      is gnome3 (closes: #681180)

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Jun 2015 13:45:07 +0200

libreoffice (1:5.0.0~beta3-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/rsc-no-error-about-unknown-switch.diff: don't error out 
    CPPFLAGS (e.g. -Wdate-time) to not FTBFS with the patched reproducible
    builds toolchain

  * debian/rules:
    - remove left-over dh_installxmlcatalogs call...

