=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                binutils (>= 2.23) [mips mipsel],
                bison,
                bzip2,
-               cpp-4.9,
+               cpp-5,
                debhelper (>= 7.2.3~),
                default-jdk,
                default-jdk (>= 1:1.7-48) [ia64],
+               dh-python,
                dpkg-dev (>= 1.16.1),
                fastjar,
                flex (>= 2.3.35),
@@ -35,23 +36,22 @@
                libabw-dev (>= 0.1),
                libarchive-zip-perl,
                libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386],
-               libboost-date-time-dev (>= 1.55),
-               libboost-dev (>= 1.55),
-               libboost-iostreams-dev (>= 1.55),
-               libboost-program-options-dev (>= 1.55),
-               libboost-system-dev (>= 1.55),
+               libboost-date-time-dev (>= 1.58),
+               libboost-dev (>= 1.58),
+               libboost-iostreams-dev (>= 1.58),
                libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],
                libc6 (>= 2.17-6) [mips mipsel],
                libcairo2-dev,
                libcdr-dev (>= 0.1),
-               libclucene-dev (>= 2.3.3.4-2),
-               libcmis-dev (>= 0.5.0),
-               libcppunit-dev (>= 1.12),
+               libclucene-dev (>= 2.3.3.4-4.1),
+               libcmis-dev (>= 0.5.0-3ubuntu1),
+               libcppunit-dev (>= 1.13.2-2.1),
                libcups2-dev,
                libcurl4-gnutls-dev,
                libdbus-glib-1-dev (>= 0.70),
                libe-book-dev (>= 0.1.1),
                libeot-dev,
+               libetonyek-dev (>= 0.1.2),
                libexpat1-dev,
                libexttextcat-dev (>= 3.1.1),
                libfontconfig1-dev,
@@ -62,12 +62,12 @@
                libgl1-mesa-dev,
                libglew-dev,
                libglib2.0-dev (>= 2.15.0),
-               libglm-dev,
+               libglm-dev (>= 0.9.6.3),
                libglu1-mesa-dev,
                libgraphite2-dev (>= 0.9.3),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libgtk-3-dev (>= 3.2~),
+               libgtk-3-dev (>= 3.8~),
                libgtk2.0-dev (>= 2.10),
                libharfbuzz-dev (>= 0.9.18),
                libhsqldb1.8.0-java (>> 1.8.0.10),
@@ -80,18 +80,20 @@
                liblcms2-dev,
                libldap2-dev,
                liblpsolve55-dev (>= 5.5.0.13-5+b1),
-               libmdds-dev (>= 0.10.3),
+               libmdds-dev (>= 0.12),
                libmspub-dev (>= 0.1),
-               libmwaw-dev (>= 0.3.4),
+               libmwaw-dev (>= 0.3.5),
                libmysqlclient-dev,
-               libmysqlcppconn-dev (>= 1.1.0~r791),
+               libmysqlcppconn-dev (>= 1.1.3-6ubuntu1),
                libmythes-dev (>= 2:1.2),
                libneon27-gnutls-dev,
                libnss3-dev (>= 3.12.3),
                libodfgen-dev (>= 0.1),
+               liborcus-dev (>= 0.9.2-2),
+               libpagemaker-dev,
                libpng12-dev,
                libpoppler-cpp-dev,
-               libpoppler-dev (>= 0.8.0),
+               libpoppler-dev (>= 0.12.0),
                libpoppler-private-dev,
                libpq-dev (>= 9.0~),
                libqt4-dev (>= 4:4.8),
@@ -105,7 +107,7 @@
                libvisio-dev (>= 0.1),
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
-               libwps-dev (>= 0.3),
+               libwps-dev (>= 0.4),
                libx11-dev,
                libxaw7-dev,
                libxext-dev,
@@ -138,8 +140,7 @@
                      libcommons-codec-java,
                      libcommons-httpclient-java,
                      libcommons-lang-java,
-                     libcommons-logging-java (>= 1.1.1-9),
-                     xml-core
+                     libcommons-logging-java (>= 1.1.1-9)
 Build-Conflicts: amd-libopencl1,
                  ant (= 1.8.0-1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
                  ant (= 1.8.0-2) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
@@ -165,13 +166,13 @@
 Standards-Version: 3.9.4
 XS-Python3-Version: 3.4
 XS-Testsuite: autopkgtest
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git -b debian-experimental-4.4
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
 Bugs: 
 Homepage: http://www.libreoffice.org
 
 Package: libreoffice
-Architecture: alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
 Section: metapackages
 Depends: fonts-sil-gentium-basic,
          libreoffice-base,
@@ -203,7 +204,7 @@
           libxrender1,
           myspell-dictionary,
           mythes-thesaurus,
-          openclipart-libreoffice,
+          openclipart2-libreoffice | openclipart-libreoffice,
           pstoedit,
           unixodbc,
           ${gstreamer-plugins-suggests},
@@ -296,11 +297,9 @@
  indic languages.
 
 Package: libreoffice-core
-Architecture: alpha amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
 Depends: fontconfig,
          fonts-opensymbol,
          libreoffice-common (>> ${base-version}),
          ure (>= 4.2~),
          ${lpsolve-dep},
-         ${misc:Depends},
-         ${shlibs:Depends}
