=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                binutils (>= 2.23) [mips mipsel],
                bison,
                bzip2,
-               cpp-5,
+               cpp-4.7,
                debhelper (>= 7.2.3~),
                default-jdk,
                default-jdk (>= 1:1.7-48) [ia64],
@@ -22,10 +22,10 @@
                flex (>= 2.3.35),
                fontconfig,
                fonts-liberation,
-               g++- [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-               gcc- [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-               gcj-jdk [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-               gcj-native-helper [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
+               g++-4.7 [hppa ia64 s390 sparc],
+               gcc-4.7 [hppa ia64 s390 sparc],
+               gcj-jdk [hppa ia64 s390 sparc],
+               gcj-native-helper [hppa ia64 s390 sparc],
                gdb,
                gettext,
                gperf,
@@ -33,36 +33,30 @@
                javahelper (>= 0.37~),
                junit4 (>= 4.8.2-2),
                kdelibs5-dev (>= 4:4.3.4),
-               libabw-dev (>= 0.1),
                libarchive-zip-perl,
                libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386],
-               libboost-date-time-dev (>= 1.58),
-               libboost-dev (>= 1.58),
-               libboost-iostreams-dev (>= 1.58),
+               libboost-date-time-dev (>= 1.54.0),
+               libboost-dev (>= 1.54.0),
+               libboost-iostreams-dev (>= 1.54.0),
+               libboost-program-options-dev (>= 1.54.0),
+               libboost-system-dev (>= 1.54.0),
                libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],
                libc6 (>= 2.17-6) [mips mipsel],
                libcairo2-dev,
-               libcdr-dev (>= 0.1),
-               libclucene-dev (>= 2.3.3.4-4.1),
-               libcmis-dev (>= 0.5.0-3ubuntu1),
-               libcppunit-dev (>= 1.13.2-2.1),
+               libclucene-dev (>= 2.3.3.4-2),
+               libcppunit-dev (>= 0.12),
                libcups2-dev,
                libcurl4-gnutls-dev,
                libdbus-glib-1-dev (>= 0.70),
-               libe-book-dev (>= 0.1.1),
-               libeot-dev,
-               libetonyek-dev (>= 0.1.2),
                libexpat1-dev,
                libexttextcat-dev (>= 3.1.1),
                libfontconfig1-dev,
-               libfreehand-dev (>= 0.1),
                libfreetype6-dev (>= 2.2.0),
-               libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
+               libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc],
                libgconf2-dev,
                libgl1-mesa-dev,
                libglew-dev,
                libglib2.0-dev (>= 2.15.0),
-               libglm-dev (>= 0.9.6.3),
                libglu1-mesa-dev,
                libgraphite2-dev (>= 0.9.3),
                libgstreamer-plugins-base1.0-dev,
@@ -80,17 +74,11 @@
                liblcms2-dev,
                libldap2-dev,
                liblpsolve55-dev (>= 5.5.0.13-5+b1),
-               libmdds-dev (>= 0.12),
-               libmspub-dev (>= 0.1),
-               libmwaw-dev (>= 0.3.5),
                libmysqlclient-dev,
-               libmysqlcppconn-dev (>= 1.1.3-6ubuntu1),
+               libmysqlcppconn-dev (>= 1.1.0~r791),
                libmythes-dev (>= 2:1.2),
                libneon27-gnutls-dev,
                libnss3-dev (>= 3.12.3),
-               libodfgen-dev (>= 0.1),
-               liborcus-dev (>= 0.9.2-2),
-               libpagemaker-dev,
                libpng12-dev,
                libpoppler-cpp-dev,
                libpoppler-dev (>= 0.12.0),
@@ -98,16 +86,11 @@
                libpq-dev (>= 9.0~),
                libqt4-dev (>= 4:4.8),
                librdf0-dev (>= 1.0.16-2),
-               librevenge-dev,
                libsane-dev,
                libsm-dev,
                libssl-dev (>= 0.9.8),
                libsuitesparse-dev (>= 1:3.4.0),
                libvigraimpex-dev,
-               libvisio-dev (>= 0.1),
-               libwpd-dev (>= 0.10),
-               libwpg-dev (>= 0.3),
-               libwps-dev (>= 0.4),
                libx11-dev,
                libxaw7-dev,
                libxext-dev,
@@ -142,9 +125,9 @@
                      libcommons-lang-java,
                      libcommons-logging-java (>= 1.1.1-9)
 Build-Conflicts: amd-libopencl1,
-                 ant (= 1.8.0-1) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-                 ant (= 1.8.0-2) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
-                 ant (= 1.8.0-3) [hppa ia64 s390 sparc kfreebsd-amd64 kfreebsd-i386],
+                 ant (= 1.8.0-1) [hppa ia64 s390 sparc],
+                 ant (= 1.8.0-2) [hppa ia64 s390 sparc],
+                 ant (= 1.8.0-3) [hppa ia64 s390 sparc],
                  flex (= 2.5.34-1) [amd64],
                  g++-4.6 (= 4.6.1-10),
                  g++-4.6 (= 4.6.1-11),
@@ -164,7 +147,7 @@
                  nvidia-libopencl1,
                  qt3-dev-tools
 Standards-Version: 3.9.4
-XS-Python3-Version: 3.4
+XS-Python3-Version: 3.5
 XS-Testsuite: autopkgtest
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
@@ -181,7 +164,7 @@
          libreoffice-draw,
          libreoffice-impress,
          libreoffice-math,
-         libreoffice-report-builder-bin [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc],
+         libreoffice-report-builder-bin [!hppa !ia64 !s390 !sparc],
          libreoffice-writer,
          ${avmedia-be-depends},
          ${dejavu-depends},
@@ -303,3 +286,26 @@
          libreoffice-common (>> ${base-version}),
          ure (>= 4.2~),
          ${lpsolve-dep},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: cli-uno-bridge (<< 1:3.0.0~dev300m22),
+        hunspell-ar (<< 0.0.0+20080110-1.1),
+        hunspell-da (<< 1:3.1.0-3),
+        hunspell-de-at (<< 20071211-2),
+        hunspell-de-ch (<< 20071211-2),
+        hunspell-de-de (<< 20071211-2),
+        hunspell-de-med (<< 20090825-1),
+        hunspell-en-ca (<< 1:3.1.0-3),
+        hunspell-en-us (<< 20070829-3),
+        hunspell-fr (<< 1:3.1.0-3),
+        hunspell-gl-es (<< 2.2a-6),
+        hunspell-hu (<< 1:3.1.0-3),
+        hunspell-ko (<< 0.3.3-1),
+        hunspell-ne (<< 1:3.1.0-3),
+        hunspell-se (<< 1.0~beta6.20081222-1.1),
+        hunspell-sh (<< 1:3.1.0-3),
+        hunspell-sr (<< 1:3.1.0-3),
+        hunspell-uz (<< 0.6-3.1),
+        hunspell-vi (<< 1:3.1.0-3),
+        libcairo2 (= 1.4.8-1),
+        libicu38 (= 3.8~d01-1),
