=== debian/rules ===
--- 
+++ 
@@ -71,14 +71,19 @@
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
 # bootstraping this from the source tree is breaking get-orig-source
 #lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=5.0.2.2
+lo_sources_ver=5.0.3.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-5-0-2
+GIT_BRANCH=libreoffice-5-0-3
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
+endif
+
+DEB_DISTRIBUTION=$(shell dpkg-parsechangelog | grep Distribution | awk '{ print $$2 }')
+ifeq "$(DEB_DISTRIBUTION)" "trusty"
+  TRUSTY_BACKPORT=y
 endif
 
 #########
@@ -165,11 +170,7 @@
 SYSTEM_STUFF += boost
 BOOST_VERSION=default
 ifeq "$(BOOST_VERSION)" "default"
-  ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 5 && echo true)" "true"
-    BOOST_MINVER= (>= 1.58)
-  else
     BOOST_MINVER= (>= 1.55)
-  endif
 endif
 SYSTEM_STUFF += mdds
 SYSTEM_STUFF += vigra
